=== QtMobility/Organizer/CMakeLists.txt ===
project(Organizer)

set(Organizer_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerabstractrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollectionchangeset_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollectionengineid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollection_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizereventoccurrence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizereventtime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemaudiblereminder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemchangelogfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemchangeset_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemcomment_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdescription_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetaildefinitionfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetaildefinitionremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetaildefinitionsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetaildefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetailfielddefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetailfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetailrangefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetail_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdisplaylabel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritememailreminder_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemengineid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfetchforexportrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfetchhint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemguid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemidfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemintersectionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeriteminvalidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemlocation_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemoccurrencefetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemparent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritempriority_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemrecurrence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemreminder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemsortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemtag_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemtimestamp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemtype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemunionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemvisualreminder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerjournaltime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerjournal_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizermanagerenginefactory_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizermanagerengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizermanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizernote_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerrecurrencerule_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizertodooccurrence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizertodoprogress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizertodotime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizertodo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/organizer_module_wrapper.cpp
)

set(Organizer_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_ORGANIZER_INCLUDE_DIR}
)

set(Organizer_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_ORGANIZER_LIBRARY}
)

CREATE_PYSIDE_MODULE(Organizer
                     ${QT_MOBILITY_ORGANIZER_INCLUDE_DIR}
                     Organizer_SRC
                     Organizer_INCLUDE_DIRECTORIES
                     Organizer_LINK_LIBRARIES)
