=== tests/Contacts/CMakeLists.txt ===
QTMOBILITY_TEST(contacts_test.py)
