=== debian/control ===
Source: pyside-mobility-11
Section: python
Priority: optional
Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-11-dev (>= 1.0.2), shiboken (>= 0.5.1), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.5.1), python-pyside (>= 0.4.2), libpyside-dev (>= 0.4.0)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: python-qtmobility11
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility11.contacts (>= ${binary:Version}),
	 python-qtmobility11.feedback (>= ${binary:Version}),
	 python-qtmobility11.gallery (>= ${binary:Version}),
	 python-qtmobility11.location (>= ${binary:Version}),
	 python-qtmobility11.messaging (>= ${binary:Version}),
	 python-qtmobility11.multimediakit (>= ${binary:Version}),
	 python-qtmobility11.organizer (>= ${binary:Version}),
	 python-qtmobility11.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility11.sensors (>= ${binary:Version}),
	 python-qtmobility11.serviceframework (>= ${binary:Version}),
	 python-qtmobility11.systeminfo (>= ${binary:Version}),
	 python-qtmobility11.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: python-qtmobility11-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility11.contacts (>= ${binary:Version}),
	 python-qtmobility11.feedback (>= ${binary:Version}),
	 python-qtmobility11.gallery (>= ${binary:Version}),
	 python-qtmobility11.location (>= ${binary:Version}),
	 python-qtmobility11.messaging (>= ${binary:Version}),
	 python-qtmobility11.multimediakit (>= ${binary:Version}),
	 python-qtmobility11.organizer (>= ${binary:Version}),
	 python-qtmobility11.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility11.sensors (>= ${binary:Version}),
	 python-qtmobility11.serviceframework (>= ${binary:Version}),
	 python-qtmobility11.systeminfo (>= ${binary:Version}),
	 python-qtmobility11.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: python-qtmobility11.contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-contacts, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: python-qtmobility11.feedback
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-feedback, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Feedback module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Feedback module.

Package: python-qtmobility11.gallery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-gallery, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Gallery module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Gallery module.

Package: python-qtmobility11.location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-location, python-pyside.qtcore
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: python-qtmobility11.messaging
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-messaging, python-pyside.qtgui, python-pyside.qtxml
Description: Qt Mobility Messaging module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Messaging module.

Package: python-qtmobility11.multimediakit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-multimedia, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility MultimediaKit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the MultimediaKit module.

Package: python-qtmobility11.organizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-organizer, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Organizer module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Organizer module.

Package: python-qtmobility11.publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-publishsubscribe, python-pyside.qtnetwork, python-pyside.qtxml
Description: Qt Mobility Publish and Subscribe module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Publish and Subscribe module.

Package: python-qtmobility11.sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-sensors, python-pyside.qtcore
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: python-qtmobility11.serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-serviceframework, python-pyside.qtcore
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: python-qtmobility11.systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-systeminfo, python-pyside.qtcore, python-pyside.qtnetwork
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: python-qtmobility11.versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-11-versit, python-pyside.qtcore, python-pyside.qtgui, python-qtmobility11.contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.
